﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;
using System.Runtime.Serialization;
using GT.Comun.Helpers;
using GT.Comun;
namespace GT.Comun
{
    public partial class TipoArea : IDataErrorInfo
    {
        #region Miembros de IDataErrorInfo

       public string Error 
        {
            get {

                if (this["Descripcion"] == null &&
                    this["Tipo"] == null
                    )
                    return null;
                else
                    return "Error en Tipo de Area";
            
            }
        }

       public string this[string columnName]
        {
            get
            {
                if (columnName == "Descripcion")
                {
                    if (!ValidacionesEntidad.ValidarExiste(Descripcion))
                        return "Introduzca una Descripcion";
                }
                if (columnName == "Tipo")
                {
                    if (!ValidacionesEntidad.ValidarExiste(Tipo))
                        return "Introduzca un Tipo";
                }
                return null;
            }
        }

        #endregion

       #region campos auxiliares

       /// <summary>
       /// Recupera el tipo concatenado con su descripcion
        /// </summary>
       public String TipoConDescripcion
       {
           get
           {
             return string.Format("{0} ({1})", this._Tipo, this.Descripcion); ;
           }

       }

       #endregion
    }
}
