﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using CrystalDecisions.CrystalReports.Engine;
using CrystalDecisions.Shared;
using System.IO;

namespace GT.Informes
{
    public class Informes
    {
        /// <summary>
        /// Devuelve un array de bytes con el contenido de un informes de Crystal Reports
        /// </summary>
        /// <param name="informe">Nombre del informe solicitado</param>
        /// <returns>Byte[]</returns>
        public Byte[] ObtenerInforme(String informe)
        {
            ReportDocument objRPT = new ReportDocument();
            objRPT.Load(Settings.Default.RutaInformes + informe);
            Stream mistm = objRPT.ExportToStream(ExportFormatType.CrystalReport);
            BinaryReader mimemo = new BinaryReader(mistm);
            Byte[] mibytes = mimemo.ReadBytes((int)mimemo.BaseStream.Length);
            return mibytes;
        }
    }
}
