﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using GT.SmartClient.GTServicio;
using System.Net;

namespace GT.SmartClient
{
    public partial class Terminofrm : Form
    {
        public Terminofrm()
        {
            InitializeComponent();
        }

        private void CargarLista()
        {
            try
            {
                Cursor.Current = Cursors.WaitCursor;
                Glosario glosario = new Glosario();
                glosario.Credentials = CredentialCache.DefaultCredentials;
                TerminoWs[] terminos = glosario.Terminos_ObtenerTerminosPorNombre(this.textBox1.Text);
                DataTable datos = new DataTable("Terminos");
                datos.Columns.AddRange(new DataColumn[] { new DataColumn("Nombre") });
                foreach (TerminoWs tera in terminos)
                    datos.Rows.Add(tera.Nombre);
                dataGridAreas.DataSource = datos;
                Colecciones.Terminos = terminos.ToList();
                Cursor.Current = Cursors.Default;

            }
            catch (Exception ex)
            {
                MsgError.Visible = true;
                MsgError.Text = "Error de Conexión";
            }
        }

        private void Datagrid_dobleClick(object sender, EventArgs e)
        {
            TerminoDetallefrm det = new TerminoDetallefrm();
            det.indice = dataGridAreas.CurrentRowIndex;
            det.Show();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            CargarLista();
        }

        private void Terminofrm_KeyDown(object sender, KeyEventArgs e)
        {
            if ((e.KeyCode == System.Windows.Forms.Keys.Up))
            {
                // Up
            }
            if ((e.KeyCode == System.Windows.Forms.Keys.Down))
            {
                // Down
            }
            if ((e.KeyCode == System.Windows.Forms.Keys.Left))
            {
                // Left
            }
            if ((e.KeyCode == System.Windows.Forms.Keys.Right))
            {
                // Right
            }
            if ((e.KeyCode == System.Windows.Forms.Keys.Enter))
            {
                // Enter
                CargarLista();
            }

        }

       

      

       

       
    }
}