﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.ComponentModel;
using GT.Comun;


namespace GT.Web.Secure.Admin
{
    public partial class UsuariosPendientes : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                ControladorServicio controlador = new ControladorServicio(false);
                BindingList<Area> lista = controlador.ObtenerAreasConUsuarioPendiente();
                if (lista.Count == 0)
                {
                    this.lblNohayRegistros.Visible = true;
                    this.ListaUsuarios.Visible = false;
                }
                else
                {
                    //Cargo la lista de areas
                    Area AllAreas = new Area();
                    AllAreas.Nombre = "TODAS";
                    AllAreas.IdArea = 0;
                    lista.Insert(0, AllAreas);
                    this.filtroAreas.DataSource = lista;
                    this.filtroAreas.DataValueField = "IdArea";
                    this.filtroAreas.DataTextField = "Nombre";
                    this.filtroAreas.DataBind();
                    BindingList<Usuario> lista2 = controlador.ObtenerUsuariosPendientes();
                    this.ListaUsuarios.DataSource = lista2;
                    this.ListaUsuarios.DataBind();
                }
                controlador.Dispose();
                
            }
        }

        protected void lnkMensaje_onCommand(object sender, CommandEventArgs e)
        {
            int idSeleccionado = Convert.ToInt32(e.CommandArgument);
            Response.Redirect("../EnvioMensaje.aspx?Menu=Pendientes&Id=" + idSeleccionado.ToString());

        }

        protected void lnkModificar_onCommand(object sender, CommandEventArgs e)
        {
            int idSeleccionado = Convert.ToInt32(e.CommandArgument);
            Server.Transfer("UsuarioAlta.aspx?accion=Pendiente&Id=" + idSeleccionado.ToString());

        }

        protected void Button1_Click(object sender, EventArgs e)
        {
            ControladorServicio controlador = new ControladorServicio(false);
            BindingList<Usuario> lista2 = controlador.ObtenerUsuariosPendientes(Convert.ToInt32(this.filtroAreas.SelectedValue));
            this.ListaUsuarios.DataSource = lista2;
            this.ListaUsuarios.DataBind();
            controlador.Dispose();
        }

       
        
    }
}
