﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using GT.Comun.Helpers;
using System.IO;


namespace GT.Web
{
    public partial class VisorInformes : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (Request.QueryString["Inf"] != null)
            {
                String nombreInforme="";
                if ((String)Request.QueryString["Inf"] == "A")
                {
                    this.lblInforme.Text = "Informe de terminos más consultados";
                    nombreInforme = Informe.MasConsultados;
                }
                else if ((String)Request.QueryString["Inf"] == "B")
                {
                    this.lblInforme.Text = "Informe de todo el glosario";
                    nombreInforme = Informe.TodoElGlosario;
                }
                else
                    Server.Transfer("InformesConsulta.aspx");

                ControladorServicio controlador = new ControladorServicio(true);
                byte[] informeBytes = controlador.ObtenerInforme(nombreInforme);
                Random aleatorio = new Random();
                int sufijo = aleatorio.Next(1, 1000000);
                string SelloTiempo = DateTime.Now.Ticks.ToString();
                string nombreRPT = nombreInforme + SelloTiempo + sufijo.ToString() + ".rpt";
                string rutaFisica = Server.MapPath("Temp/" + nombreRPT);
                FileStream memoria = new FileStream(rutaFisica, FileMode.Create);
                memoria.Write(informeBytes, 0, informeBytes.Length);
                memoria.Close();
                this.CrystalReportViewer1.ReportSource = rutaFisica;
                Session["rutaFisica"] = rutaFisica;
                controlador.Dispose();
            }
            else
            {
                Server.Transfer("InformesConsulta.aspx");
            }
        }
    }
}
