﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace GT.Comun
{
    #region Comparers
    public class TerminoNombreSorterUp : IComparer<Termino>
    {
        public int Compare(Termino x, Termino y)
        {
            return x.Nombre.CompareTo(y.Nombre);
        }
    }
    public class TerminoNombreSorterDown : IComparer<Termino>
    {
        public int Compare(Termino x, Termino y)
        {
            return y.Nombre.CompareTo(x.Nombre);
        }
    }
    public class TerminoAreasSorterUp : IComparer<Termino>
    {
        public int Compare(Termino x, Termino y)
        {
            return x.AreasConcatenadas.CompareTo(y.AreasConcatenadas);
        }
    }
    public class TerminoAreasSorterDown : IComparer<Termino>
    {
        public int Compare(Termino x, Termino y)
        {
            return y.AreasConcatenadas.CompareTo(x.AreasConcatenadas);
        }
    }
    public class TerminoDescripcionSorterUp : IComparer<Termino>
    {
        public int Compare(Termino x, Termino y)
        {
            return x.Descripcion.CompareTo(y.Descripcion);
        }
    }
    public class TerminoDescripcionSorterDown : IComparer<Termino>
    {
        public int Compare(Termino x, Termino y)
        {
            return y.Descripcion.CompareTo(x.Descripcion);
        }
    }
    public class TerminoConsultadoSorterUp : IComparer<Termino>
    {
        public int Compare(Termino x, Termino y)
        {
            return x.Consultado.CompareTo(y.Consultado);
        }
    }
    public class TerminoConsultadoSorterDown : IComparer<Termino>
    {
        public int Compare(Termino x, Termino y)
        {
            return y.Consultado.CompareTo(x.Consultado);
        }
    }
    #endregion

    public partial class Termino
    {
        private String _areasConcatenadas;
        public String AreasConcatenadas
        {
            get
            {
                return _areasConcatenadas;
            }
            set
            {
                if (value != null)
                    _areasConcatenadas = value;
            }
        }

    }
}
