﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IdentityModel.Selectors;
using System.IdentityModel.Tokens;
using System.Security;
using System.ServiceModel;
using GT.Comun;
using GT.LogicaNegocio;
using System.Threading;

namespace GT.Servicios
{
    public class Validacion : UserNamePasswordValidator 
    {
        public override void Validate(string userName, string password)
        {
            if (!Seguridad.ValidarUsuario(userName, password))
                throw new SecurityTokenException("Nombre de usuario o contraseña no válidos");
        }
    }
}
