﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Net;
using GT.SmartClient.GTServicio;

namespace GT.SmartClient
{
    public partial class Areafrm : Form
    {
        public Areafrm()
        {
            InitializeComponent();
        }

        private void CargarLista()
        {
            try
            {
                Glosario glosario = new Glosario();
                glosario.Credentials = CredentialCache.DefaultCredentials;
                Area[] areas = glosario.Areas_ObtenerAreasPorNombre(this.textBox1.Text);
                DataTable datos = new DataTable("Areas");
                datos.Columns.AddRange(new DataColumn[] {new DataColumn("Nombre")});
                foreach (Area area in areas)
                    datos.Rows.Add(area.Nombre);
                dataGridAreas.DataSource = datos;
                Colecciones.Areas = areas.ToList();
               
            }
            catch (Exception ex)
            {
                MsgError.Visible = true;
                MsgError.Text = "Error de Conexión";
            }
        }

        private void button1_Click(object sender, EventArgs e)
        {
            CargarLista();
        }

        private void Area_KeyDown(object sender, KeyEventArgs e)
        {
            if ((e.KeyCode == System.Windows.Forms.Keys.Up))
            {
                // Up
            }
            if ((e.KeyCode == System.Windows.Forms.Keys.Down))
            {
                // Down
            }
            if ((e.KeyCode == System.Windows.Forms.Keys.Left))
            {
                // Left
            }
            if ((e.KeyCode == System.Windows.Forms.Keys.Right))
            {
                // Right
            }
            if ((e.KeyCode == System.Windows.Forms.Keys.Enter))
            {
                // Enter
                CargarLista();
            }

        }

        private void Datagrid_dobleClick(object sender, EventArgs e)
        {
            AreaDetallefrm areadet = new AreaDetallefrm();
            areadet.indiceArea=dataGridAreas.CurrentRowIndex;
            areadet.Show();
            
        }
    }
}