﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.SessionState;
using GT.Comun.Helpers;

namespace GT.Web
{
    public class Global : System.Web.HttpApplication
    {

        protected void Application_Start(object sender, EventArgs e)
        {

        }

        protected void Session_Start(object sender, EventArgs e)
        {

        }

        protected void Application_BeginRequest(object sender, EventArgs e)
        {

        }

        protected void Application_AuthenticateRequest(object sender, EventArgs e)
        {

        }

        protected void Application_Error(object sender, EventArgs e)
        {
             // Get the exception object.
            Exception ex = Server.GetLastError();
            
            Context.Trace.Write(ErrorConfig.ErrorAplicacion, ex.Message,ex);

            FormsAuthentication.SignOut();

            //Redirijo a la pagina de error
            Response.Redirect(Request.ApplicationPath + "/Error.aspx");
        }

        protected void Session_End(object sender, EventArgs e)
        {
            if (Session["rutaFisica"] != null && (String)Session["rutaFisica"] != "")
            {
                System.IO.File.Delete((string)Session["rutaFisica"]);
            }
        }

        protected void Application_End(object sender, EventArgs e)
        {

        }
    }
}