﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.ComponentModel;
using GT.Comun;

namespace GT.Web.Secure.Admin
{
    public partial class AreaTipoConsulta : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                cargarLista();
            }
        }

        protected void lnkModificar_onCommand(object sender, CommandEventArgs e)
        {
            Session["RegistroArea"] = tipoSeleccionado(e.CommandArgument.ToString());
            Server.Transfer("AreaTipoAreaAlta.aspx?accion=modificar");
        }

        protected void lnkEliminar_onCommand(object sender, CommandEventArgs e)
        {
            Session["RegistroArea"] = tipoSeleccionado(e.CommandArgument.ToString());
            Server.Transfer("AreaTipoAreaAlta.aspx?accion=eliminar");
        }
        private TipoArea tipoSeleccionado(String seleccion)
        {
            BindingList<TipoArea> lista = (BindingList<TipoArea>)Session["listaTipoArea"];
            return lista.Where(a => a.Tipo == seleccion).SingleOrDefault();
        }

        protected void Button1_Click(object sender, EventArgs e)
        {
            cargarLista();

        }
        private void cargarLista()
        {
            ControladorServicio controlador = new ControladorServicio(false);
            BindingList<TipoArea> lista;
            if (txtTipoArea.Text.Trim() == "")
                lista = controlador.ObtenerTiposArea();
            else
                lista = controlador.ObtenerTiposArea(txtTipoArea.Text);
            controlador.Dispose();
            this.ListaAreas.DataSource = lista;
            this.ListaAreas.DataBind();
            Session["listaTipoArea"] = lista;
        }
    }
}
